Subject: [IPFIX] AD review for draft-ietf-ipfix-information-model-rfc5102bis-08

From: Benoit Claise <[email-masked]>
Date: Thu, 03 Jan 2013 16:41:34 +0100

Dear all,

Here is our AD review regarding 
draft-ietf-ipfix-information-model-rfc5102bis-08

Regards, Ron and Benoit

1.
We see in http://tools.ietf.org/html/rfc5102 "Updated by: 6313". What 
happens to this relationship?  In other words, what is the relationship 
with RFC 6313? Don't you have to say a few words about it?

2. IANA considerations section and the new Revision and Date columns.
You need to mention to IANA that they have to create these two new columns.
The only text I see is:

    [NOTE to IANA: on publication of this document, please set the Revision
    of all existing Information Elements to 0.]

    [NOTE to IANA: on publication of this document, please set the Date of
    all existing Information Elements to the publication date of this
    document.]

3. IANA Considerations

    The value of these identifiers is in the range of 1-32767. Within
    this range, Information Element identifier values in the sub-range of
    1-127 are compatible with field types used by NetFlow version 9
    [RFC3954  <http://tools.ietf.org/html/rfc3954>]; Information Element identifiers in this range MUST NOT be
    assigned unless the Information Element is compatible with the
    NetFlow version 9 protocol. Such Information Elements may ONLY be
    requested by a NetFlow v9 expert, to be designated by the IESG.

First of all, the MUST NOT should be "must not".
Then, we ought be careful about sort-of "promoting" bits of a 
vendor-specific informational RFC (3954) even if in this case that's not 
a controversial thing to do. This issue is with "may ONLY be requested"
Finally, you should have this information in the IANA Considerations 
section.

4. IANA Considerations

New assignments for IPFIX Information Elements are administered by IANA
through Expert Review [RFC5226  <http://tools.ietf.org/html/rfc5226>], i.e., review by one of a group of
experts designated by the IESG.

Add an IANA note that says an internal mailing list should be created to 
communicate with the experts (including NetFlow Version 9) .....but not 
mention it as text in the document.

5. IANA Considerations

New assignments for IPFIX Information Elements are administered by IANA
through Expert Review [RFC5226  <http://tools.ietf.org/html/rfc5226>], i.e., review by one of a_group of
experts designated by the IESG_.

...

When IANA receives a request to add, revise, or deprecate an Information
Element in the IPFIX Information Elements Registry, it forwards the
request to the_IE-DOCTORS experts_  for review.

It's not clear if we speak with one set or two different sets of experts.
Multiple changes in the IANA considerations section.

6.

      Section 2.2. Scope of Information Elements

    By default, most Information Elements have a scope specified in their
    definitions.

    o  The Information Elements listed in Sections5.2  <http://tools.ietf.org/html/draft-ietf-ipfix-information-model-rfc5102bis-08#section-5.2>  and5.3  <http://tools.ietf.org/html/draft-ietf-ipfix-information-model-rfc5102bis-08#section-5.3>, and
       similar Information Elements in [IPFIX-IANA  <http://tools.ietf.org/html/draft-ietf-ipfix-information-model-rfc5102bis-08#ref-IPFIX-IANA>], have a default of "a
       specific Metering Process" or of "a specific Exporting Process",
       respectively.

    o  The Information Elements listed in Sections5.4  <http://tools.ietf.org/html/draft-ietf-ipfix-information-model-rfc5102bis-08#section-5.4>-5.11  <http://tools.ietf.org/html/draft-ietf-ipfix-information-model-rfc5102bis-08#section-5.11>, and similar
       Information Elements in [IPFIX-IANA  <http://tools.ietf.org/html/draft-ietf-ipfix-information-model-rfc5102bis-08#ref-IPFIX-IANA>], have a scope of "a specific
       Flow".

The section 5.X don't exist any longer.

_EDITORIAL_

1.

    The canonical reference for IPFIX Information Elements the IANA IPFIX
    Information Element registry [IPFIX-IANA  <http://tools.ietf.org/html/draft-ietf-ipfix-information-model-rfc5102bis-08#ref-IPFIX-IANA>]; the initial values for
    this registry were provided by [RFC5102  <http://tools.ietf.org/html/rfc5102>].

Aren't you missing a verb?

2.

OLD:

    The use of the term 'information model' is not fully in line with the
    definition of this term in [RFC3444  <http://tools.ietf.org/html/rfc3444>]. The IPFIX information model
    does not specify relationships between Information Elements.

NEW:

    The use of the term 'information model' is not fully in line with the
    definition of this term in [RFC3444  <http://tools.ietf.org/html/rfc3444>]: the IPFIX information model
    does not specify relationships between Information Elements.

Justification: otherwise it's not clear whether the next sentence (It also
does not specify a concrete encoding of Information Elements) fits into "not fully in line with the definition of the term in RFC 3444".
Actually, this sentence is in line with RFC 3444

---

From: Brian Trammell <[email-masked]>
Date: Thu, 3 Jan 2013 17:31:26 +0100

Hi, Benoit, Ron, all,

One reply inline; executive summary: expect a -09 soon addressing these concerns.

Cheers,

Brian

On 3 Jan 2013, at 16:41 , Benoit Claise wrote:

> Dear all,
> 
> Here is our AD review regarding draft-ietf-ipfix-information-model-rfc5102bis-08
> 
> Regards, Ron and Benoit
> 
> 1.
> We see in http://tools.ietf.org/html/rfc5102 "Updated by: 6313". What happens to this relationship?  In other words, what is the relationship with RFC 6313? Don't you have to say a few words about it?

I'd suggest adding new subsections of 3.1 for the abstract data types from 6313, referring (normatively) to 6313 for their definitions.